Create business unit economics model
curl --request POST \
--url https://api.nops.io/v1/business-unit-economics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"explorerReportId": "report-1",
"unitId": 3,
"startDate": "2026-01-01",
"selectedDate": "2026-06-01"
}
'import requests
url = "https://api.nops.io/v1/business-unit-economics"
payload = {
"explorerReportId": "report-1",
"unitId": 3,
"startDate": "2026-01-01",
"selectedDate": "2026-06-01"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
explorerReportId: 'report-1',
unitId: 3,
startDate: '2026-01-01',
selectedDate: '2026-06-01'
})
};
fetch('https://api.nops.io/v1/business-unit-economics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/business-unit-economics"
payload := strings.NewReader("{\n \"explorerReportId\": \"report-1\",\n \"unitId\": 3,\n \"startDate\": \"2026-01-01\",\n \"selectedDate\": \"2026-06-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"record": {
"id": 5,
"unit": "Customers",
"explorerReportName": "Spend by Service"
},
"items": []
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Business unit economics
Create business unit economics model
POST
https://api.nops.io
/
v1
/
business-unit-economics
Create business unit economics model
curl --request POST \
--url https://api.nops.io/v1/business-unit-economics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"explorerReportId": "report-1",
"unitId": 3,
"startDate": "2026-01-01",
"selectedDate": "2026-06-01"
}
'import requests
url = "https://api.nops.io/v1/business-unit-economics"
payload = {
"explorerReportId": "report-1",
"unitId": 3,
"startDate": "2026-01-01",
"selectedDate": "2026-06-01"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
explorerReportId: 'report-1',
unitId: 3,
startDate: '2026-01-01',
selectedDate: '2026-06-01'
})
};
fetch('https://api.nops.io/v1/business-unit-economics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/business-unit-economics"
payload := strings.NewReader("{\n \"explorerReportId\": \"report-1\",\n \"unitId\": 3,\n \"startDate\": \"2026-01-01\",\n \"selectedDate\": \"2026-06-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"record": {
"id": 5,
"unit": "Customers",
"explorerReportName": "Spend by Service"
},
"items": []
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Body
application/json
Response
Create business unit economics model
Show child attributes
Show child attributes
Was this page helpful?
⌘I